import type { OpenId4VciCredentialSupported, OpenId4VciCredentialSupportedWithId } from './models';
import type { AuthorizationDetails, CredentialOfferFormat, EndpointMetadataResult } from '@sphereon/oid4vci-common';
/**
 * Get all `types` from a `CredentialSupported` object.
 *
 * Depending on the format, the types may be nested, or have different a different name/type
 */
export declare function getTypesFromCredentialSupported(credentialSupported: OpenId4VciCredentialSupported): string[];
/**
 * Returns all entries from the credential offer with the associated metadata resolved. For 'id' entries, the associated `credentials_supported` object is resolved from the issuer metadata.
 * For inline entries, an error is thrown.
 */
export declare function getOfferedCredentials(offeredCredentials: Array<string | CredentialOfferFormat>, allCredentialsSupported: OpenId4VciCredentialSupported[]): OpenId4VciCredentialSupportedWithId[];
export declare function handleAuthorizationDetails(authorizationDetails: AuthorizationDetails | AuthorizationDetails[], metadata: EndpointMetadataResult): AuthorizationDetails | AuthorizationDetails[] | undefined;
